%define upstream_name    Dist-Zilla-PluginBundle-MSCHOUT
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Use L<Dist::Zilla> like MSCHOUT does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.341
BuildRequires: perl(Dist::Zilla::Plugin::AuthorSignatureTest)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::AutoVersion)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed)
BuildRequires: perl(Dist::Zilla::Plugin::FakeRelease)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta)
BuildRequires: perl(Dist::Zilla::Plugin::InsertCopyright)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Prereqs::AuthorDeps)
BuildRequires: perl(Dist::Zilla::Plugin::RemovePrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::Signature)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver) >= 0.93.330
BuildRequires: perl(Dist::Zilla::Plugin::TravisYML)
BuildRequires: perl(Dist::Zilla::Plugin::Twitter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Classic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.101.230
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Plugin::SingleEncoding)
BuildRequires: perl(Pod::Weaver::Section::AllowOverride)
BuildRequires: perl(Pod::Weaver::Section::Bugs)
BuildRequires: perl(Pod::Weaver::Section::SourceGitHub)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the the Pod::Weaver manpage config I use for building my
documentation. I use it with the Dist::Zilla::PluginBundle::MSCHOUT manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.380.0-3.mga8
+ Revision: 1504280
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.380.0-2.mga7
+ Revision: 1283371
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 shlomif <shlomif> 0.380.0-1.mga7
+ Revision: 1238924
- update to 0.38

* Tue Apr 10 2018 kekepower <kekepower> 0.370.0-1.mga7
+ Revision: 1217316
- Fix BuildRequires
- Update to version 0.37

* Sun Jun 19 2016 pterjan <pterjan> 0.220.0-7.mga6
+ Revision: 1026022
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.220.0-6.mga6
+ Revision: 930004
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-5.mga5
+ Revision: 746101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 684575
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 511264
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 366664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.22

* Wed Mar 16 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 72582
- imported package perl-Dist-Zilla-PluginBundle-MSCHOUT


* Wed Mar 16 2011 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
